Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.ibm.workplace.wcm.api
Enum Project.PublishOptions

    java.lang.Object
      java.lang.Enum<Project.PublishOptions>
          com.ibm.workplace.wcm.api.Project.PublishOptions

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Project.PublishOptions>

Enclosing interface:
  Project

    public static enum Project.PublishOptions

extends java.lang.Enum<Project.PublishOptions>

The list of valid project publish options

Enum Constant Summary
`AUTOMATIC` Project is automatically published when all items in it are published.
`DATE` Project is published when the specified state expires.
`MANUAL` Manual action is required to put the Project in published state.

Method Summary
`static Project.PublishOptions` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Project.PublishOptions[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AUTOMATIC

    public static final Project.PublishOptions AUTOMATIC

  Project is automatically published when all items in it are published.

### MANUAL

    public static final Project.PublishOptions MANUAL

  Manual action is required to put the Project in published state.

### DATE

    public static final Project.PublishOptions DATE

  Project is published when the specified state expires.

Method Detail

### values

    public static Project.PublishOptions[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Project.PublishOptions c : Project.PublishOptions.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Project.PublishOptions valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD